=head1 NAME

TPMLIB_VolatileAll_Store   - store all volatile state of the TPM in a buffer

=head1 LIBRARY

TPM library (libtpms, -ltpms)

=head1 SYNOPSIS

B<#include <libtpms/tpm_library.h>>

B<#include <libtpms/tpm_error.h>>

B<TPM_RESULT TPMLIB_VolatileAll_Store(unsigned char **buffer,
                                   uint32_t *buflen);>

=head1 DESCRIPTION

The B<TPMLIB_VolatileAll_Store()> function is used to get the volatile 
state of the TPM. The function will allocate a I<buffer> and return
the number of bytes of state information in the I<buflen> variable.

=head1 ERRORS

=over 4

=item B<TPM_SUCCESS>

The function completed sucessfully.

=item B<TPM_FAIL>

General failure.

=back

For a complete list of TPM error codes please consult the include file
B<libtpms/tpm_error.h>

=head1 SEE ALSO

B<TPMLIB_MainInit>(3), B<TPMLIB_Terminate>(3), B<TPMLIB_RegisterCallbacks>(3)

=cut
